MetricSetControllerUpdateMetricSetSorting Method |
PUT /MetricSet/UpdateSorting/{id}
Updates the sorting and given elements on the metric set.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPutAttribute]
[ActionNameAttribute("UpdateSorting")]
public HttpResponseMessage UpdateMetricSetSorting(
Guid id,
[FromBodyAttribute] UpdateSortingOptions options,
Nullable<Guid> sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("UpdateSorting")>
Public Function UpdateMetricSetSorting (
id As Guid,
<FromBodyAttribute> options As UpdateSortingOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPutAttribute]
[ActionNameAttribute(L"UpdateSorting")]
HttpResponseMessage^ UpdateMetricSetSorting(
Guid id,
[FromBodyAttribute] UpdateSortingOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("UpdateSorting")>]
member UpdateMetricSetSorting :
id : Guid *
[<FromBodyAttribute>] options : UpdateSortingOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the metric set to update the element on. - options
- Type: Dundas.BI.WebApi.ModelsUpdateSortingOptions
The options to update the sorting and elements. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A
MetricSetData object containing the updated metric set data, or a status code indicating the problem.
See Also